TM Rule Schedule – Added
The Rule Schedule API provides visibility into rules execution schedule.
- POST
/api/rules/schedule
The Rule Schedule API provides visibility into rules execution schedule.
/api/rules/scheduleThe progress_percentage field in the batch status response has been marked as deprecated and will be removed in a future version.
The failed_transaction_modification_ids field in the batch status response has been marked as deprecated and will be removed in a future version.
The response now includes reject_on_invalid and error message in the response for obervability batch transaction API.
Transactions with non-unique modification IDs within a batch are marked accordingly in the validation results file, and those transactions are rejected.
reject_on_invalid configuration flag moved to request body.
Trigger the execution of set of scheduled rules for a specific date
/api/rules/rerunEach batch must contain only unique transaction modification IDs. If duplicate transaction modification IDs are detected, the entire batch will be rejected, regardless of the reject_on_invalid flag is set to either true or false.
Added conditional retention tracking fields to DataDeletionProcessDto response.
Data deletion process queries now return additional information about which data protection regime and conditional retention rules were applied, including the regime ID, conditional retention description, and the conditions that were evaluated during offboarding.
Updated validation for ConditionalRetentionPeriods in DataProtectionRegime.
Enhanced validation rules for conditional retention periods when creating or updating data protection regimes.